Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerConstants.HTTPConstants

    java.lang.Object
      org.wso2.wsas.ServerConstants.HTTPConstants

Enclosing class:
  ServerConstants

    public static class ServerConstants.HTTPConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `ANNOTATION`
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `HTTP_METHOD`
`static java.lang.String` | `HTTP_METHOD_GET` Deprecated.
`static java.lang.String` | `HTTP_METHOD_POST` Deprecated.
`static java.lang.String` | `HTTP_RESPONSE_STATE`
`static java.lang.String` | `MEDIA_TYPE_APPLICATION_XML`
`static java.lang.String` | `MEDIA_TYPE_MULTIPART_RELATED`
`static java.lang.String` | `MEDIA_TYPE_TEXT_XML`
`static java.lang.String` | `MEDIA_TYPE_X_WWW_FORM`

Constructor Summary
`ServerConstants.HTTPConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEDIA_TYPE_X_WWW_FORM

    public static final java.lang.String MEDIA_TYPE_X_WWW_FORM

See Also:
  Constant Field Values

### MEDIA_TYPE_APPLICATION_XML

    public static final java.lang.String MEDIA_TYPE_APPLICATION_XML

See Also:
  Constant Field Values

### MEDIA_TYPE_TEXT_XML

    public static final java.lang.String MEDIA_TYPE_TEXT_XML

See Also:
  Constant Field Values

### MEDIA_TYPE_MULTIPART_RELATED

    public static final java.lang.String MEDIA_TYPE_MULTIPART_RELATED

See Also:
  Constant Field Values

### HTTP_METHOD_GET

    public static final java.lang.String HTTP_METHOD_GET

  Deprecated.
  See Also:
    Constant Field Values

### HTTP_METHOD

    public static final java.lang.String HTTP_METHOD

See Also:
  Constant Field Values

### HTTP_METHOD_POST

    public static final java.lang.String HTTP_METHOD_POST

  Deprecated.
  See Also:
    Constant Field Values

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

### HTTP_RESPONSE_STATE

    public static final java.lang.String HTTP_RESPONSE_STATE

See Also:
  Constant Field Values

### ANNOTATION

    public static final java.lang.String ANNOTATION

See Also:
  Constant Field Values

Constructor Detail

### ServerConstants.HTTPConstants

    public ServerConstants.HTTPConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD